Publish Upload
curl --request PUT \
--url https://{host}/api/submissions/uploads/{identity} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/gzip' \
--header 'X-Upload-Token: <x-upload-token>' \
--data '"<string>"'import requests
url = "https://{host}/api/submissions/uploads/{identity}"
payload = "<string>"
headers = {
"X-Upload-Token": "<x-upload-token>",
"Authorization": "Bearer <token>",
"Content-Type": "application/gzip"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'X-Upload-Token': '<x-upload-token>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/gzip'
},
body: JSON.stringify('<string>')
};
fetch('https://{host}/api/submissions/uploads/{identity}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"digest": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Publish Upload
PUT
/
api
/
submissions
/
uploads
/
{identity}
Publish Upload
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Maximum string length:
64Path Parameters
Body
application/gzip
The body is of type file.